Переполнение буфера в AlsaPlayer

Дата публикации:
08.10.2007
Дата изменения:
11.04.2008
Всего просмотров:
927
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
AlsaPlayer 0.x
Уязвимые версии: AlsaPlayer версии до 0.99.80-rc3

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в vorbis плагине при обработке .OGG файлов. Удаленный может с помощью специально сформированного файла, содержащего слишком длинный комментарий, вызвать переполнение буфера и выполнить произвольны код на целевой системе.

URL производителя: www.alsaplayer.org

Решение: Установите последнюю версию 0.99.80-rc3 с сайта производителя.

Журнал изменений:

11.04.2008
Добавлен PoC код.

Ссылки: Alsaplayer < 0.99.80-rc3 Vorbis Input Local Buffer Overflow Exploit

или введите имя

CAPTCHA